--  Configuration for sterleardemoqueu generated by Alire
pragma Restrictions (No_Elaboration_Code);
pragma Style_Checks (Off);

package Sterleardemoqueu_Config is
   pragma Pure;

   Crate_Version : constant String := "0.1.0-dev";
   Crate_Name : constant String := "sterleardemoqueu";

   Alire_Host_OS : constant String := "macos";

   Alire_Host_Arch : constant String := "x86_64";

   Alire_Host_Distro : constant String := "distro_unknown";

   Default_Nb_Loops_First : constant :=  1;
   Default_Nb_Loops_Last : constant :=  9223372036854775807;
   Default_Nb_Loops : constant :=  100;

   type Trace_Level_Kind is (Info, Details, Debug);
   Trace_Level : constant Trace_Level_Kind := Info;

   Queue_Size_First : constant :=  1;
   Queue_Size_Last : constant :=  9223372036854775807;
   Queue_Size : constant :=  100;

   Default_Nb_Producers_First : constant :=  1;
   Default_Nb_Producers_Last : constant :=  9223372036854775807;
   Default_Nb_Producers : constant :=  10;

   type Build_Profile_Kind is (release, validation, development);
   Build_Profile : constant Build_Profile_Kind := development;

end Sterleardemoqueu_Config;
